## kodi-visualization-fishbmc 4.0.5

=== CMakeLists.txt ===
project(visualization.fishbmc)

cmake_minimum_required(VERSION 2.6)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(kodi REQUIRED)
find_package(Threads REQUIRED)
find_package(OpenGL REQUIRED)

add_definitions(-DHAS_SDL_OPENGL)
include_directories(${OpenGL_INCLUDE_DIR}
                    ${GLEW_INCLUDE_DIR}
                    ${KODI_INCLUDE_DIR})

set(FISH_SOURCES src/analyst.c
                 src/audiobuffer.c
                 src/blurengine.c
                 src/cpudetect.c
                 src/fische.c
                 src/fishbmc_addon.cpp
                 src/screenbuffer.c
                 src/vector.c
                 src/vectorfield.c
                 src/wavepainter.c)

set(DEPLIBS ${OPENGL_LIBRARIES}
            ${CMAKE_THREAD_LIBS_INIT})

build_addon(visualization.fishbmc FISH DEPLIBS)

include(CPack)

=== debian/changelog ===
kodi-visualization-fishbmc (4.0.5-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Change name of package to kodi-visualization-fishbmc.
  * Change to multiarch install to match our Kodi, otherwise it won't work.
  * Use a dh-exec debian/install file, add dh-exec to build-depends.
  * Compat level 9, minimum debhelper version is 9.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Tue, 10 May 2016 16:36:24 -0700

xbmc-visualization-fishbmc (4.0.5-1~trusty) trusty; urgency=low

  [ xbmc ]
  * autogenerated dummy changelog

  [ wsnipex ]
  * 2014-03-01: Updated language files from Transifex 2014-02-17:
    Updated language files from Transifex 2014-02-02: Updated language
    files from Transifex 2014-01-11: Updated language files from
    Transifex 2011-02-26: Initial release for XBMC 11, based on fische 4

 -- wsnipex <wsnipex@a1.net>  Wed, 27 Apr 2016 15:21:04 +0200

=== debian/control ===
Source: kodi-visualization-fishbmc
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Arne Morten Kvarving <spiff@xbmc.org>
Build-Depends: debhelper (>= 9),
 cmake,
 dh-exec (>=0.3),
 kodi-addons-dev,
 libgl1-mesa-dev,
 libglew-dev
Standards-Version: 3.9.2
Section: libs
Homepage: http://xbmc.org

Package: kodi-visualization-fishbmc
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fishbmc visualization for Kodi
 Fishbmc visualization for Kodi.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release \
	-DBUILD_SHARED_LIBS=1 \
	-DUSE_LTO=1

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp/kodi-visualization-fishbmc

override_dh_installdocs:
	dh_installdocs --link-doc=kodi-visualization-fishbmc

## kodi-visualization-fishbmc 4.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})
 
-find_package(kodi REQUIRED)
+find_package(Kodi REQUIRED)
 find_package(Threads REQUIRED)
 find_package(OpenGL REQUIRED)

=== debian/changelog ===
kodi-visualization-fishbmc (4.1.0-2mx15+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Rebuild against Kodi 17.
  * Don't use ccache.
  * Remove -dmo from version string.
  
 -- Steven Pusser <stevep@mxlinux.org>  Tue, 07 Mar 2017 15:36:50 -0800

kodi-visualization-fishbmc-dmo (4.1.0-dmo2) unstable; urgency=medium

  * Switch to source format '3.0 (quilt)'.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 22 Dec 2016 14:45:14 +0100

kodi-visualization-fishbmc-dmo (4.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 24 May 2016 18:08:57 +0200

kodi-visualization-fishbmc-dmo (4.0.5-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 22 Mar 2016 07:57:43 +0100

=== debian/control ===
Source: kodi-visualization-fishbmc
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Homepage: https://github.com/notspiff/visualization.fishbmc
Standards-Version: 3.9.8
Build-Depends: debhelper (>=9), cmake, kodi-addons-dev,
 libgl1-mesa-dev, libglew-dev

Package: kodi-visualization-fishbmc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kodi (>= 16.1~)
Description: Fishbmc audio visualization addon for Kodi
 Music visualisation showing waves and blur effects.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 \
	-DCMAKE_INSTALL_PREFIX=/usr

override_dh_auto_install:
	dh_auto_install

	rm debian/kodi-visualization-fishbmc/usr/share/kodi/addons/visualization.fishbmc/LICENSE

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_installchangelogs:
	dh_installchangelogs visualization.fishbmc/changelog.txt

override_dh_clean:
	dh_clean visualization.fishbmc/addon.xml

## kodi-visualization-fishbmc 6.3.0%2Bds1

=== debian/changelog ===
kodi-visualization-fishbmc (6.3.0+ds1-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 18 Jun 2021 20:37:02 +0200

kodi-visualization-fishbmc (6.3.0+ds1-2) unstable; urgency=medium

  * Force override libdir paths
  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:24:18 +0000

kodi-visualization-fishbmc (6.3.0+ds1-1) unstable; urgency=medium

  * Initial upload

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 28 Dec 2020 07:58:58 +0000

## kodi-visualization-fishbmc 6.3.0+ds1

=== debian/changelog ===
kodi-visualization-fishbmc (6.3.0+ds1-2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 25 Jun 2021 20:40:50 -0700

=== debian/control ===
Source: kodi-visualization-fishbmc
Priority: optional
Section: libs
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: cmake,
                    dh-sequence-kodiaddon,
                    kodi-addons-dev (>= 2:19~),
                    libgl1-mesa-dev,
                    libglm-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-fishbmc
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-fishbmc.git
Homepage: https://kodi.tv

Package: kodi-visualization-fishbmc
Architecture: any
Depends: ${kodi:VISUALIZATIONAPI}, ${misc:Depends}, ${shlibs:Depends}
Description: Fishbmc audio visualization addon for Kodi
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package provides music visualisation showing waves and blur effects.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=ReleaseWithDebInfo \
            -DBUILD_SHARED_LIBS=1 \
            -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi \
            -DOVERRIDE_PATHS=1 \
            -DUSE_LTO=1

override_dh_auto_install:
	dh_auto_install
	rm -f debian/kodi-visualization-fishbmc/usr/share/kodi/addons/visualization.fishbmc/LICENSE

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## kodi-visualization-fishbmc 19.0.0+ds1

=== debian/changelog ===
kodi-visualization-fishbmc (19.0.0+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.0+ds1
  * Bump standard version
  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:14:51 +0000

kodi-visualization-fishbmc (6.3.0+ds1-3) unstable; urgency=medium

  * Fix github ref
  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 Aug 2021 05:40:13 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: kodi-visualization-fishbmc
 Priority: optional
 Section: libs
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: cmake,
-                    dh-sequence-kodiaddon,
-                    kodi-addons-dev (>= 2:19~),
-                    libgl1-mesa-dev,
-                    libglm-dev
-Standards-Version: 4.5.1
+Build-Depends-Arch: dh-sequence-kodiaddon,
+               cmake,
+               kodi-addons-dev (>= 2:19~),
+               libgl1-mesa-dev,
+               libglm-dev
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-fishbmc
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-fishbmc.git
@@ -18,7 +17,9 @@
 
 Package: kodi-visualization-fishbmc
 Architecture: any
-Depends: ${kodi:VISUALIZATIONAPI}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${kodi:VISUALIZATIONAPI}
 Description: Fishbmc audio visualization addon for Kodi
  Kodi, formerly known as XBMC is an award winning free and
  open source software media-player and entertainment hub for all your digital

=== debian/rules ===
--- 
+++ 
@@ -15,11 +15,8 @@
             -DBUILD_SHARED_LIBS=1 \
             -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi \
             -DOVERRIDE_PATHS=1 \
-            -DUSE_LTO=1
+            -DUSE_LTO=0
 
 override_dh_auto_install:
 	dh_auto_install
 	rm -f debian/kodi-visualization-fishbmc/usr/share/kodi/addons/visualization.fishbmc/LICENSE
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/visualization.fishbmc/releases \
/xbmc/visualization.fishbmc/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-visualization-fishbmc 19.0.1%2Bds1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(visualization.fishbmc)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)
find_package(glm REQUIRED)

if(NOT WIN32 AND (APP_RENDER_SYSTEM STREQUAL "gl" OR NOT APP_RENDER_SYSTEM))
  find_package(OpenGl REQUIRED)
  set(DEPLIBS ${OPENGL_LIBRARIES})
  set(includes ${OPENGL_INCLUDE_DIR})
  add_definitions(${OPENGL_DEFINITIONS})
else()
  find_package(OpenGLES REQUIRED)
  set(DEPLIBS ${OPENGLES_LIBRARIES})
  set(includes ${OPENGLES_INCLUDE_DIR})
  add_definitions(${OPENGLES_DEFINITIONS})
endif()

add_definitions(-DHAS_SDL_OPENGL)
include_directories(${includes}
                    ${GLM_INCLUDE_DIR}
                    ${KODI_INCLUDE_DIR}/..) # Hack way with "/..", need bigger Kodi cmake rework to match right include ways (becomes done in future)

set(FISH_SOURCES src/analyst.cpp
                 src/audiobuffer.cpp
                 src/blurengine.cpp
                 src/cpudetect.cpp
                 src/fische.cpp
                 src/fishbmc_addon.cpp
                 src/screenbuffer.cpp
                 src/vector.cpp
                 src/vectorfield.cpp
                 src/wavepainter.cpp)

set(FISH_HEADERS src/analyst.h
                 src/audiobuffer.h
                 src/blurengine.h
                 src/fische.h
                 src/fishbmc_addon.h
                 src/fische_internal.h
                 src/screenbuffer.h
                 src/vectorfield.h
                 src/vector.h
                 src/wavepainter.h)

build_addon(visualization.fishbmc FISH DEPLIBS)

include(CPack)

=== debian/changelog ===
kodi-visualization-fishbmc (19.0.1+ds1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:41:29 +0000

kodi-visualization-fishbmc (19.0.1+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.1+ds1
  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 17:48:37 +0000

## kodi-visualization-fishbmc 19.0.1+ds1

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,8 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon,
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
                cmake,
-               kodi-addons-dev (>= 2:19~),
                libgl1-mesa-dev,
                libglm-dev
 Standards-Version: 4.6.0

## kodi-visualization-fishbmc 20.1.0+ds1

=== debian/changelog ===
kodi-visualization-fishbmc (20.1.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.1.0+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:54:29 +0000

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/visualization.fishbmc/releases \
/xbmc/visualization.fishbmc/archive/refs/tags/?(\d\S*)-Nexus\.tar\.gz

## kodi-visualization-fishbmc 20.2.0+ds1

=== debian/changelog ===
kodi-visualization-fishbmc (20.2.0+ds1-1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:52:35 +0200

kodi-visualization-fishbmc (20.2.0+ds1-1) unstable; urgency=medium

  [ Vasyl Gello ]
  * New upstream version 20.2.0+ds1
  * Drop patches merged upstream

  [ Mattia Rizzolo ]
  * Update copyright.

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 16 Dec 2022 12:21:14 +0000

kodi-visualization-fishbmc (20.1.0+ds1-2) unstable; urgency=medium


  [ Vasyl Gello ]
  * Fix lintian warnings
  * d/watch: switch to git tags

  [ Debian Janitor ]
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ Vasyl Gello ]
  * d/patches: Add unmerged upstream PR fixing build

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:54:25 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: kodi-visualization-fishbmc
 Priority: optional
 Section: libs
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
                cmake,
                libgl1-mesa-dev,
                libglm-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-fishbmc
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-fishbmc.git

=== debian/watch ===
version=4

# Release git tags
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds1, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/xbmc/visualization.fishbmc \
refs/tags/@ANY_VERSION@-Nexus \
debian

## kodi-visualization-fishbmc 21.0.2+ds

=== debian/changelog ===
kodi-visualization-fishbmc (21.0.2+ds-1) unstable; urgency=high

  * New upstream version 21.0.2+ds
  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:47:22 +0000

kodi-visualization-fishbmc (20.2.0+ds1-3) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:15:13 +0000

kodi-visualization-fishbmc (20.2.0+ds1-2) unstable; urgency=medium

  * Branch out experimental
  * Modernize package
  * New release 20.1.0+ds1-1
  * Finalize changelog
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch
  * Remove empty patch series
  * Bump standards version to 4.7.0 (no changes required)

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 08:47:18 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: kodi-visualization-fishbmc
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:21~),
                cmake,
                libgl1-mesa-dev,
                libglm-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-fishbmc
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-fishbmc.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-fishbmc.git -b debian/sid
 Homepage: https://kodi.tv
 
 Package: kodi-visualization-fishbmc

=== debian/watch ===
version=4

# Release git tags
# Kodi addons are bound to internal Kodi API versions so the version
# initially built for older Kodi suite (like Matrix or Nexus) may run 
# on newer Kodi (like Omega) if corresponding internal API version
# has not been changed.
#
# This flexibility introduces minor inconvenience to Debian package
# builders as uscan(1) typically operates on single suite of upstream
# tags.
#
# To mitigate addon updates not found, it is possible to specify multiple
# allowed codenames in regexp and tweak uversionmangle to strip the
# dot-suitename from the rersulting tarball name
#
# For debian/sid and other non-experimental branches, the list of codenames
# must start with the Kodi suite name the API was ast changed and end with
# a current Kodi suite being packaged, like:
#
# uversionmangle=s/\.(Nexus|Omega)//, \
# refs/tags/@ANY_VERSION@-(Nexus|Omega) \
#
# for Omega.
#
# For debian/experimental, the list of codenames must have only one suite
# matching current master (i.e Piers if Omega is currently shipped in debian/sid)
# This way only package versions targeting kodi-next will land into
# debian/experimental while all earlier compatible versions will be caught by
# debian/sid watchfile.
#

# Release git tags

# TODO: Change allowed Kodi codenames in refs/tags and uversionmangle
# before packaging next Kodi major release!

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      uversionmangle=s/\.(Nexus|Omega)//, \
      dversionmangle=auto" \
https://github.com/xbmc/visualization.fishbmc \
refs/tags/@ANY_VERSION@-(Nexus|Omega) \
debian
